org.objectweb.asm.xml

## Class SAXAnnotationAdapter

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.objectweb.asm.xml.SAXAnnotationAdapter

-     public final class SAXAnnotationAdapter
      extends AnnotationVisitor

  SAXAnnotationAdapter
  Author:
    Eugene Kuleshov

- - ### Field Summary

    - ### Fields inherited from class org.objectweb.asm.AnnotationVisitor

      `api, av`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SAXAnnotationAdapter(int api, SAXAdapter sa, String elementName, int visible, String desc, String name, int parameter)`
    `protected` | `SAXAnnotationAdapter(int api, SAXAdapter sa, String elementName, int visible, String desc, String name, int parameter, int typeRef, TypePath typePath, String[] start, String[] end, int[] index)`
    `` | `SAXAnnotationAdapter(SAXAdapter sa, String elementName, int visible, int parameter, String desc)`
    `` | `SAXAnnotationAdapter(SAXAdapter sa, String elementName, int visible, String name, String desc)`
    `` | `SAXAnnotationAdapter(SAXAdapter sa, String elementName, int visible, String name, String desc, int typeRef, TypePath typePath)`
    `` | `SAXAnnotationAdapter(SAXAdapter sa, String elementName, int visible, String name, String desc, int typeRef, TypePath typePath, String[] start, String[] end, int[] index)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(String name, Object value)` Visits a primitive value of the annotation.
    `AnnotationVisitor` | `visitAnnotation(String name, String desc)` Visits a nested annotation value of the annotation.
    `AnnotationVisitor` | `visitArray(String name)` Visits an array value of the annotation.
    `void` | `visitEnd()` Visits the end of the annotation.
    `void` | `visitEnum(String name, String desc, String value)` Visits an enumeration value of the annotation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAXAnnotationAdapter

          public SAXAnnotationAdapter(SAXAdapter sa,
                                      String elementName,
                                      int visible,
                                      String name,
                                      String desc)

    - #### SAXAnnotationAdapter

          public SAXAnnotationAdapter(SAXAdapter sa,
                                      String elementName,
                                      int visible,
                                      int parameter,
                                      String desc)

    - #### SAXAnnotationAdapter

          public SAXAnnotationAdapter(SAXAdapter sa,
                                      String elementName,
                                      int visible,
                                      String name,
                                      String desc,
                                      int typeRef,
                                      TypePath typePath)

    - #### SAXAnnotationAdapter

          public SAXAnnotationAdapter(SAXAdapter sa,
                                      String elementName,
                                      int visible,
                                      String name,
                                      String desc,
                                      int typeRef,
                                      TypePath typePath,
                                      String[] start,
                                      String[] end,
                                      int[] index)

    - #### SAXAnnotationAdapter

          protected SAXAnnotationAdapter(int api,
                                         SAXAdapter sa,
                                         String elementName,
                                         int visible,
                                         String desc,
                                         String name,
                                         int parameter)

    - #### SAXAnnotationAdapter

          protected SAXAnnotationAdapter(int api,
                                         SAXAdapter sa,
                                         String elementName,
                                         int visible,
                                         String desc,
                                         String name,
                                         int parameter,
                                         int typeRef,
                                         TypePath typePath,
                                         String[] start,
                                         String[] end,
                                         int[] index)

  - ### Method Detail

    - #### visit

          public void visit(String name,
                            Object value)

      Description copied from class: `AnnotationVisitor`
      Visits a primitive value of the annotation.
      Overrides:
        `visit` in class `AnnotationVisitor`
      Parameters:
        `name` - the value name.
        `value` - the actual value, whose type must be `Byte`, `Boolean`, `Character`, `Short`, `Integer` , `Long`, `Float`, `Double`, `String` or `Type` or OBJECT or ARRAY sort. This value can also be an array of byte, boolean, short, char, int, long, float or double values (this is equivalent to using `visitArray` and visiting each array element in turn, but is more convenient).

    - #### visitEnum

          public void visitEnum(String name,
                                String desc,
                                String value)

      Description copied from class: `AnnotationVisitor`
      Visits an enumeration value of the annotation.
      Overrides:
        `visitEnum` in class `AnnotationVisitor`
      Parameters:
        `name` - the value name.
        `desc` - the class descriptor of the enumeration class.
        `value` - the actual enumeration value.

    - #### visitAnnotation

          public AnnotationVisitor visitAnnotation(String name,
                                                   String desc)

      Description copied from class: `AnnotationVisitor`
      Visits a nested annotation value of the annotation.
      Overrides:
        `visitAnnotation` in class `AnnotationVisitor`
      Parameters:
        `name` - the value name.
        `desc` - the class descriptor of the nested annotation class.
      Returns:
        a visitor to visit the actual nested annotation value, or `null` if this visitor is not interested in visiting this nested annotation. The nested annotation value must be fully visited before calling other methods on this annotation visitor.

    - #### visitArray

          public AnnotationVisitor visitArray(String name)

      Description copied from class: `AnnotationVisitor`
      Visits an array value of the annotation. Note that arrays of primitive types (such as byte, boolean, short, char, int, long, float or double) can be passed as value to `visit`. This is what `ClassReader` does.
      Overrides:
        `visitArray` in class `AnnotationVisitor`
      Parameters:
        `name` - the value name.
      Returns:
        a visitor to visit the actual array value elements, or `null` if this visitor is not interested in visiting these values. The 'name' parameters passed to the methods of this visitor are ignored. All the array values must be visited before calling other methods on this annotation visitor.

    - #### visitEnd

          public void visitEnd()

      Description copied from class: `AnnotationVisitor`
      Visits the end of the annotation.
      Overrides:
        `visitEnd` in class `AnnotationVisitor`